org.apache.tiles.request.velocity.autotag

## Class VelocityModelBody

- java.lang.Object
- - org.apache.tiles.autotag.core.runtime.AbstractModelBody
  - - org.apache.tiles.request.velocity.autotag.VelocityModelBody

- All Implemented Interfaces:
    ModelBody

      public class VelocityModelBody
      extends AbstractModelBody

  Body abstraction for a Velocity directive body.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VelocityModelBody(org.apache.velocity.context.InternalContextAdapter context, org.apache.velocity.runtime.parser.node.ASTBlock body, Writer defaultWriter)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `evaluate(Writer writer)` Evaluates the body and writes the result in the writer.

    - ### Methods inherited from class org.apache.tiles.autotag.core.runtime.AbstractModelBody

      `evaluate, evaluateAsString, evaluateWithoutWriting`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VelocityModelBody

          public VelocityModelBody(org.apache.velocity.context.InternalContextAdapter context,
                                   org.apache.velocity.runtime.parser.node.ASTBlock body,
                                   Writer defaultWriter)

      Constructor.
      Parameters:
        `context` - The Velocity context.
        `body` - The real body.
        `defaultWriter` - The default writer.

  - ### Method Detail

    - #### evaluate

          public void evaluate(Writer writer)
                        throws IOException

      Description copied from interface: `ModelBody`
      Evaluates the body and writes the result in the writer.
      Parameters:
        `writer` - The writer to write the result into.
      Throws:
        `IOException` - If something goes wrong.

Copyright © 2000–2024 Apache Software Foundation. All rights reserved.